<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FirebirdBlob.BlobInputStream (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdBlob.BlobInputStream (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" target="_top">Frames</a></li>
<li><a href="FirebirdBlob.BlobInputStream.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdBlob.BlobInputStream" class="title">Interface FirebirdBlob.BlobInputStream</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc">FBBlobInputStream</a></dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">FirebirdBlob.BlobInputStream</span></pre>
<div class="block">Blob input stream. This interface defines methods to access contents
 of the Blob field. Some method signatures are copied from the 
 <a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><code>InputStream</code></a> only because it is abstract class and not interface
 that we can extend.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_ABSOLUTE">SEEK_MODE_ABSOLUTE</a></span></code>
<div class="block">Seek based on the absolute beginning of the stream</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_FROM_TAIL">SEEK_MODE_FROM_TAIL</a></span></code>
<div class="block">Seek relative to the tail end of the stream</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_RELATIVE">SEEK_MODE_RELATIVE</a></span></code>
<div class="block">Seek relative to the current position in the stream</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#available--">available</a></span>()</code>
<div class="block">Get number of available bytes that can be read without blocking.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#close--">close</a></span>()</code>
<div class="block">Close this stream.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#getBlob--">getBlob</a></span>()</code>
<div class="block">Get instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a> to which this stream belongs to.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#length--">length</a></span>()</code>
<div class="block">Get Blob length.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#read--">read</a></span>()</code>
<div class="block">Read single byte from the stream.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#read-byte:A-int-int-">read</a></span>(byte[]&nbsp;buffer,
    int&nbsp;offset,
    int&nbsp;length)</code>
<div class="block">Read some bytes from the stream without blocking.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#readFully-byte:A-">readFully</a></span>(byte[]&nbsp;buffer)</code>
<div class="block">Read <code>buffer.length</code> bytes from the buffer.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#readFully-byte:A-int-int-">readFully</a></span>(byte[]&nbsp;buffer,
         int&nbsp;offset,
         int&nbsp;length)</code>
<div class="block">Read <code>length</code> from the stream into the specified buffer.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#seek-int-">seek</a></span>(int&nbsp;position)</code>
<div class="block">Move current position in the Blob stream.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#seek-int-int-">seek</a></span>(int&nbsp;position,
    int&nbsp;seekMode)</code>
<div class="block">Move current position in the Blob stream.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SEEK_MODE_ABSOLUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEEK_MODE_ABSOLUTE</h4>
<pre>static final&nbsp;int SEEK_MODE_ABSOLUTE</pre>
<div class="block">Seek based on the absolute beginning of the stream</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdBlob.BlobInputStream.SEEK_MODE_ABSOLUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SEEK_MODE_RELATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEEK_MODE_RELATIVE</h4>
<pre>static final&nbsp;int SEEK_MODE_RELATIVE</pre>
<div class="block">Seek relative to the current position in the stream</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdBlob.BlobInputStream.SEEK_MODE_RELATIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SEEK_MODE_FROM_TAIL">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SEEK_MODE_FROM_TAIL</h4>
<pre>static final&nbsp;int SEEK_MODE_FROM_TAIL</pre>
<div class="block">Seek relative to the tail end of the stream</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdBlob.BlobInputStream.SEEK_MODE_FROM_TAIL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlob--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlob</h4>
<pre><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>&nbsp;getBlob()</pre>
<div class="block">Get instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a> to which this stream belongs to.
 <p>
 Note, code
 <pre>
 FirebirdBlob.BlobInputStream otherStream = (FirebirdBlob.BlobInputStream)
     inputStream.getBlob().getBinaryStream();
 </pre>
 will return new stream object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a>.</dd>
</dl>
</li>
</ul>
<a name="available--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>available</h4>
<pre>int&nbsp;available()
       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Get number of available bytes that can be read without blocking.
 This method will return number of bytes of the last read blob segment 
 in the blob buffer.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of bytes available without blocking or -1 if end of
 stream is reached.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occured.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close()
    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Close this stream.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="length--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>long&nbsp;length()
     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Get Blob length. This is shortcut method for the 
 <code>inputStream.getBlob().length()</code> call, however is more
 resource friendly, because no new Blob handle is created.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>length of the blob.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="read--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>int&nbsp;read()
  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Read single byte from the stream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>next byte read from the stream or -1 if end of stream was
 reached.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="read-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>int&nbsp;read(byte[]&nbsp;buffer,
         int&nbsp;offset,
         int&nbsp;length)
  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Read some bytes from the stream without blocking.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - buffer into which data should be read.</dd>
<dd><code>offset</code> - offset in the buffer where to start.</dd>
<dd><code>length</code> - number of bytes to read.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of bytes that were read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="readFully-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFully</h4>
<pre>void&nbsp;readFully(byte[]&nbsp;buffer,
               int&nbsp;offset,
               int&nbsp;length)
        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Read <code>length</code> from the stream into the specified buffer.
 This method can block until desired number of bytes is read, it can
 throw an exception if end of stream was reached during read.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - buffer where data should be read.</dd>
<dd><code>offset</code> - offset in the buffer where to start.</dd>
<dd><code>length</code> - number of bytes to read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/EOFException.html?is-external=true" title="class or interface in java.io">EOFException</a></code> - if stream end was reached when reading data.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="readFully-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFully</h4>
<pre>void&nbsp;readFully(byte[]&nbsp;buffer)
        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Read <code>buffer.length</code> bytes from the buffer. This is a 
 shortcut method for <code>readFully(buffer, 0, buffer.length)</code>
 call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - buffer where data should be read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="seek-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>seek</h4>
<pre>void&nbsp;seek(int&nbsp;position)
   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Move current position in the Blob stream. This is a shortcut method
 to <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#seek-int-int-"><code>seek(int, int)</code></a> passing <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_ABSOLUTE"><code>SEEK_MODE_ABSOLUTE</code></a> as 
 seek mode.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - absolute position to seek, starting position is
 0 (note, in <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBytes-long-int-" title="class or interface in java.sql"><code>Blob.getBytes(long, int)</code></a> starting position is 1).</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O error occurs.</dd>
</dl>
</li>
</ul>
<a name="seek-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>seek</h4>
<pre>void&nbsp;seek(int&nbsp;position,
          int&nbsp;seekMode)
   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Move current position in the Blob stream. Depending on the specified
 seek mode, position can be either positive or negative.
 <p>
 Note, this method allows to move position in the Blob stream only
 forward. If you need to read data before the current position, new
 stream must be opened.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position in the stream, starting position is
 0 (note, in <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBytes-long-int-" title="class or interface in java.sql"><code>Blob.getBytes(long, int)</code></a> starting position is 1).</dd>
<dd><code>seekMode</code> - mode of seek operation, one of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_ABSOLUTE"><code>SEEK_MODE_ABSOLUTE</code></a>,
 <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_RELATIVE"><code>SEEK_MODE_RELATIVE</code></a> or <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#SEEK_MODE_FROM_TAIL"><code>SEEK_MODE_FROM_TAIL</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if I/O erro occurs.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" target="_top">Frames</a></li>
<li><a href="FirebirdBlob.BlobInputStream.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
